<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XE164AltNum StructType
 * @subpackage Structs
 */
class XE164AltNum extends AbstractStructBase
{
    /**
     * The numberMask
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $numberMask;
    /**
     * The addToLocalRoutePartition
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $addToLocalRoutePartition;
    /**
     * The routePartition
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $routePartition;
    /**
     * The isUrgent
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isUrgent;
    /**
     * The advertiseGloballyIls
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $advertiseGloballyIls;
    /**
     * Constructor method for XE164AltNum
     * @uses XE164AltNum::setNumberMask()
     * @uses XE164AltNum::setAddToLocalRoutePartition()
     * @uses XE164AltNum::setRoutePartition()
     * @uses XE164AltNum::setIsUrgent()
     * @uses XE164AltNum::setAdvertiseGloballyIls()
     * @param string $numberMask
     * @param string $addToLocalRoutePartition
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $routePartition
     * @param string $isUrgent
     * @param string $advertiseGloballyIls
     */
    public function __construct($numberMask = null, $addToLocalRoutePartition = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $routePartition = null, $isUrgent = null, $advertiseGloballyIls = null)
    {
        $this
            ->setNumberMask($numberMask)
            ->setAddToLocalRoutePartition($addToLocalRoutePartition)
            ->setRoutePartition($routePartition)
            ->setIsUrgent($isUrgent)
            ->setAdvertiseGloballyIls($advertiseGloballyIls);
    }
    /**
     * Get numberMask value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNumberMask()
    {
        return isset($this->numberMask) ? $this->numberMask : null;
    }
    /**
     * Set numberMask value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $numberMask
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XE164AltNum
     */
    public function setNumberMask($numberMask = null)
    {
        if (is_null($numberMask) || (is_array($numberMask) && empty($numberMask))) {
            unset($this->numberMask);
        } else {
            $this->numberMask = $numberMask;
        }
        return $this;
    }
    /**
     * Get addToLocalRoutePartition value
     * @return string|null
     */
    public function getAddToLocalRoutePartition()
    {
        return $this->addToLocalRoutePartition;
    }
    /**
     * Set addToLocalRoutePartition value
     * @param string $addToLocalRoutePartition
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XE164AltNum
     */
    public function setAddToLocalRoutePartition($addToLocalRoutePartition = null)
    {
        $this->addToLocalRoutePartition = $addToLocalRoutePartition;
        return $this;
    }
    /**
     * Get routePartition value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getRoutePartition()
    {
        return isset($this->routePartition) ? $this->routePartition : null;
    }
    /**
     * Set routePartition value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $routePartition
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XE164AltNum
     */
    public function setRoutePartition(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $routePartition = null)
    {
        if (is_null($routePartition) || (is_array($routePartition) && empty($routePartition))) {
            unset($this->routePartition);
        } else {
            $this->routePartition = $routePartition;
        }
        return $this;
    }
    /**
     * Get isUrgent value
     * @return string|null
     */
    public function getIsUrgent()
    {
        return $this->isUrgent;
    }
    /**
     * Set isUrgent value
     * @param string $isUrgent
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XE164AltNum
     */
    public function setIsUrgent($isUrgent = null)
    {
        $this->isUrgent = $isUrgent;
        return $this;
    }
    /**
     * Get advertiseGloballyIls value
     * @return string|null
     */
    public function getAdvertiseGloballyIls()
    {
        return $this->advertiseGloballyIls;
    }
    /**
     * Set advertiseGloballyIls value
     * @param string $advertiseGloballyIls
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XE164AltNum
     */
    public function setAdvertiseGloballyIls($advertiseGloballyIls = null)
    {
        $this->advertiseGloballyIls = $advertiseGloballyIls;
        return $this;
    }
}
